<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
//MPLAYER ADMIN SETTINGS PANEL
return array(
	'title' => __('MPLAY SETTINGS', 'vp_textdomain'),
	'logo' => 'logo.png',
	'menus' => array(
		array(
			'title' => __('DASHBOARD', 'magicplayer'),
			'name' => 'mp_player',
			'id' => 'mp_player',
			'icon' => 'font-awesome:fa-tachometer',
			'controls' => array(
				array(
					'type' => 'section',
					'title' => __('General Settings', 'vp_textdomain'),
					'fields' => array(
						array(
								'type' => 'upload',
								'name' => 'player_logo',
								'id' => 'player_logo',
								'label' => __('Player Logo', 'magicplayer'),
						),
						array(
		'type' => 'select',
		'name' => 'logo_position',
		'label' => __('Logo Position', 'vp_textdomain'),
		'items' => array(
				array(
						'value' => 'top right',
						'label' => __('Top Right', 'vp_textdomain'),
				),
				array(
						'value' => 'top left',
						'label' => __('Top Left', 'vp_textdomain'),
				),
				array(
						'value' => 'bottom right',
						'label' => __('Bottom Right', 'vp_textdomain'),
				),
				array(
						'value' => 'bottom left',
						'label' => __('Bottom Left', 'vp_textdomain'),
				),
		),
		'default' => array(
				'top right',
		),
),
						array(
								'type' => 'toggle',
								'name' => 'videojs_autoplay',
								'id' => 'autoplay_btn',
								'label' => __('Autoplay', 'magicplayer'),
								//'description' => __('', 'magicplayer'),
								'default' => '0',
						),
						array(
								'type' => 'toggle',
								'name' => 'video_download_btn',
								'id' => 'video_download_btn',
								'label' => __('Download', 'magicplayer'),
								//'description' => __('', 'magicplayer'),
								'default' => '1',
						),
						array(
								'type' => 'toggle',
								'name' => 'playback_speed',
								'id' => 'playback_speed',
								'label' => __('Playback Speed', 'magicplayer'),
								//'description' => __('', 'magicplayer'),
								'default' => '1',
						),
					),
				),
			),
		),

		array(
			'title' => __('CUSTOMIZER', 'magicplayer'),
			'name' => 'styling',
			'id' => 'styling',
			'icon' => 'font-awesome:fa-adjust',
			'controls' => array(
				array(
						'type' => 'color',
						'name' => 'color_play_icon',
						'label' => __('Play Icon Background', 'vp_textdomain'),
						'default' => '#333333',
				),
				array(
						'type' => 'color',
						'name' => 'color_buffer',
						'label' => __('Progressbar Buffer Background', 'vp_textdomain'),
						'default' => '#ffffff',
				),
				),
			),
/*
			array(
				'title' => __('FFMPEG', 'magicplayer'),
				'name' => 'ffmpeg',
				'id' => 'ffmpeg',
				'icon' => 'font-awesome:fa-film',
				'controls' => array(

					),
				),
*/
	array(
			'title' => __('ADVERTISING', 'magicplayer'),
			'name' => 'mp_ads',
			'id' => 'mp_ads',
			'icon' => 'font-awesome:fa-money',
			'controls' => array(
				array(
		        'type' => 'textbox',
		        'name' => 'in_video_ad',
		        'label' => __('Pre roll in-stream video AD', 'vp_textdomain'),
		        'description' => __('This option works only with external AD Network files as Exoclick. <a target="_blank" href="https://demos.exoclick.com/web/video-ads.html?login=AlbCoder">Click here</a> to view an example.', 'vp_textdomain'),
		    ),
			   array(
            'type' => 'textbox',
            'name' => 'adtext',
            'label' => __('AD Text', 'vp_textdomain'),
            'description' => __('Ad text visible in the top right corner of the video.', 'vp_textdomain'),
         ),
         array(
            'type' => 'textbox',
            'name' => 'adctatext',
            'label' => __('AD CTA Text', 'vp_textdomain'),
            'description' => __('CTA hyperlink visible in the bottom right corner of the video.', 'vp_textdomain'),
         ),
				 array(
						'type' => 'notebox',
						'name' => 'nb_10',
						'label' => __('Recommended AD Networks', 'vp_textdomain'),
						'description' => __('<a href="http://www.exoclick.com/?login=AlbCoder"><img src="http://www.exoclick.com/banners/728x90.gif" border="0"></a>', 'vp_textdomain'),
						'status' => 'info',
					),
				),
			),
	)
);

/**
 *EOF
 */
